Index: /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Review.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Review.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Review.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -73,5 +73,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $this->action();
@@ -84,5 +84,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         // パラメーター管理クラス
@@ -131,8 +131,8 @@
      * 入力内容のチェックを行う.
      *
-     * @param SC_FormParam $objFormParam SC_FormParam インスタンス
-     * @return void
-     */
-    function lfCheckError(&$objFormParam)
+     * @param  SC_FormParam $objFormParam SC_FormParam インスタンス
+     * @return void
+     */
+    public function lfCheckError(&$objFormParam)
     {
         // 入力データを渡す。
@@ -163,8 +163,8 @@
      * 商品レビューの削除
      *
-     * @param integer $review_id 商品レビューのID
-     * @return void
-     */
-    function lfDeleteReview($review_id)
+     * @param  integer $review_id 商品レビューのID
+     * @return void
+     */
+    public function lfDeleteReview($review_id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -176,8 +176,8 @@
      * hidden情報の作成
      *
-     * @param array $arrForm フォームデータ
+     * @param  array $arrForm フォームデータ
      * @return array hidden情報
      */
-    function lfSetHidden($arrForm)
+    public function lfSetHidden($arrForm)
     {
         $arrHidden = array();
@@ -204,8 +204,8 @@
      * パラメーター情報の初期化を行う.
      *
-     * @param SC_FormParam $objFormParam SC_FormParam インスタンス
-     * @return void
-     */
-    function lfInitParam(&$objFormParam)
+     * @param  SC_FormParam $objFormParam SC_FormParam インスタンス
+     * @return void
+     */
+    public function lfInitParam(&$objFormParam)
     {
         $objFormParam->addParam('投稿者名', 'search_reviewer_name', STEXT_LEN, 'KVas', array('MAX_LENGTH_CHECK'),'',false);
@@ -229,9 +229,9 @@
      * CSV ファイル出力実行
      *
-     * @param string $where WHERE文
-     * @param array $arrWhereVal WHERE文の判定値
-     * @return void
-     */
-    function lfDoOutputCsv($where, $arrWhereVal)
+     * @param  string $where       WHERE文
+     * @param  array  $arrWhereVal WHERE文の判定値
+     * @return void
+     */
+    public function lfDoOutputCsv($where, $arrWhereVal)
     {
         $objCSV = new SC_Helper_CSV_Ex();
@@ -242,8 +242,8 @@
      * WHERE文の作成
      *
-     * @param array $arrForm フォームデータ
+     * @param  array $arrForm フォームデータ
      * @return array WHERE文、判定値
      */
-    function lfGetWhere($arrForm)
+    public function lfGetWhere($arrForm)
     {
         //削除されていない商品を検索
@@ -334,10 +334,10 @@
      * レビュー検索結果の取得
      *
-     * @param array $arrForm フォームデータ
-     * @param string $where WHERE文
-     * @param array $arrWhereVal WHERE文の判定値
-     * @return array レビュー一覧
-     */
-    function lfGetReview($arrForm, $where, $arrWhereVal)
+     * @param  array  $arrForm     フォームデータ
+     * @param  string $where       WHERE文
+     * @param  array  $arrWhereVal WHERE文の判定値
+     * @return array  レビュー一覧
+     */
+    public function lfGetReview($arrForm, $where, $arrWhereVal)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
Index: /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ClassCategory.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ClassCategory.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ClassCategory.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -53,5 +53,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $this->action();
@@ -64,5 +64,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         $objFormParam = new SC_FormParam_Ex();
@@ -137,8 +137,8 @@
      * パラメーターの初期化を行う.
      *
-     * @param SC_FormParam $objFormParam SC_FormParam インスタンス
-     * @return void
-     */
-    function lfInitParam(&$objFormParam)
+     * @param  SC_FormParam $objFormParam SC_FormParam インスタンス
+     * @return void
+     */
+    public function lfInitParam(&$objFormParam)
     {
         $objFormParam->addParam('規格ID', 'class_id', INT_LEN, 'n', array('NUM_CHECK'));
@@ -150,8 +150,8 @@
      * 有効な規格分類情報の取得
      *
-     * @param integer $class_id 規格ID
-     * @return array 規格分類情報
-     */
-    function lfGetClassCat($class_id)
+     * @param  integer $class_id 規格ID
+     * @return array   規格分類情報
+     */
+    public function lfGetClassCat($class_id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -167,8 +167,8 @@
      * 規格名の取得
      *
-     * @param integer $class_id 規格ID
-     * @return string 規格名
-     */
-    function lfGetClassName($class_id)
+     * @param  integer $class_id 規格ID
+     * @return string  規格名
+     */
+    public function lfGetClassName($class_id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -183,8 +183,8 @@
      * 規格分類名を取得する
      *
-     * @param integer $classcategory_id 規格分類ID
-     * @return string 規格分類名
-     */
-    function lfGetClassCatName($classcategory_id)
+     * @param  integer $classcategory_id 規格分類ID
+     * @return string  規格分類名
+     */
+    public function lfGetClassCatName($classcategory_id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -198,8 +198,8 @@
      * 規格分類情報を新規登録
      *
-     * @param array $arrForm フォームパラメータークラス
+     * @param  array   $arrForm フォームパラメータークラス
      * @return integer 更新件数
      */
-    function lfInsertClass($arrForm)
+    public function lfInsertClass($arrForm)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -228,8 +228,8 @@
      * 規格分類情報を更新
      *
-     * @param array $arrForm フォームパラメータークラス
+     * @param  array   $arrForm フォームパラメータークラス
      * @return integer 更新件数
      */
-    function lfUpdateClass($arrForm)
+    public function lfUpdateClass($arrForm)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -247,8 +247,8 @@
      * エラーチェック
      *
-     * @param array $objFormParam フォームパラメータークラス
+     * @param  array $objFormParam フォームパラメータークラス
      * @return array エラー配列
      */
-    function lfCheckError(&$objFormParam)
+    public function lfCheckError(&$objFormParam)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -275,8 +275,8 @@
      * 新規規格分類追加かどうかを判定する.
      *
-     * @param integer $classcategory_id 規格分類ID
+     * @param  integer $classcategory_id 規格分類ID
      * @return boolean 新規商品追加の場合 true
      */
-    function lfCheckInsert($classcategory_id)
+    public function lfCheckInsert($classcategory_id)
     {
         //classcategory_id のあるなしで新規規格分類化かどうかを判定
@@ -291,9 +291,9 @@
      * 規格分類情報を削除する
      *
-     * @param integer $class_id 規格ID
-     * @param integer $classcategory_id 規格分類ID
-     * @return void
-     */
-    function lfDeleteClassCat($class_id, $classcategory_id)
+     * @param  integer $class_id         規格ID
+     * @param  integer $classcategory_id 規格分類ID
+     * @return void
+     */
+    public function lfDeleteClassCat($class_id, $classcategory_id)
     {
         $objDb = new SC_Helper_DB_Ex();
@@ -304,9 +304,9 @@
      * 並び順を上げる
      *
-     * @param integer $class_id 規格ID
-     * @param integer $classcategory_id 規格分類ID
-     * @return void
-     */
-    function lfUpRank($class_id, $classcategory_id)
+     * @param  integer $class_id         規格ID
+     * @param  integer $classcategory_id 規格分類ID
+     * @return void
+     */
+    public function lfUpRank($class_id, $classcategory_id)
     {
         $objDb = new SC_Helper_DB_Ex();
@@ -317,9 +317,9 @@
      * 並び順を下げる
      *
-     * @param integer $class_id 規格ID
-     * @param integer $classcategory_id 規格分類ID
-     * @return void
-     */
-    function lfDownRank($class_id, $classcategory_id)
+     * @param  integer $class_id         規格ID
+     * @param  integer $classcategory_id 規格分類ID
+     * @return void
+     */
+    public function lfDownRank($class_id, $classcategory_id)
     {
         $objDb = new SC_Helper_DB_Ex();
Index: /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Class.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Class.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Class.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -53,5 +53,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $this->action();
@@ -64,5 +64,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         $objFormParam = new SC_FormParam_Ex();
@@ -134,8 +134,8 @@
      * パラメーターの初期化を行う.
      *
-     * @param SC_FormParam $objFormParam SC_FormParam インスタンス
-     * @return void
-     */
-    function lfInitParam(&$objFormParam)
+     * @param  SC_FormParam $objFormParam SC_FormParam インスタンス
+     * @return void
+     */
+    public function lfInitParam(&$objFormParam)
     {
         $objFormParam->addParam('規格名', 'name', STEXT_LEN, 'KVa', array('EXIST_CHECK' ,'SPTAB_CHECK' ,'MAX_LENGTH_CHECK'));
@@ -148,5 +148,5 @@
      * @return array 規格情報
      */
-    function lfGetClass()
+    public function lfGetClass()
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -162,8 +162,8 @@
      * 規格名を取得する
      *
-     * @param integer $class_id 規格ID
-     * @return string 規格名
-     */
-    function lfGetClassName($class_id)
+     * @param  integer $class_id 規格ID
+     * @return string  規格名
+     */
+    public function lfGetClassName($class_id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -177,8 +177,8 @@
      * 規格情報を新規登録
      *
-     * @param array $arrForm フォームパラメータークラス
+     * @param  array   $arrForm フォームパラメータークラス
      * @return integer 更新件数
      */
-    function lfInsertClass($arrForm)
+    public function lfInsertClass($arrForm)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -199,8 +199,8 @@
      * 規格情報を更新
      *
-     * @param array $arrForm フォームパラメータークラス
+     * @param  array   $arrForm フォームパラメータークラス
      * @return integer 更新件数
      */
-    function lfUpdateClass($arrForm)
+    public function lfUpdateClass($arrForm)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -218,9 +218,9 @@
      * 規格情報を削除する.
      *
-     * @param integer $class_id 規格ID
-     * @param SC_Helper_DB $objDb SC_Helper_DBのインスタンス
-     * @return integer 削除件数
-     */
-    function lfDeleteClass($class_id)
+     * @param  integer      $class_id 規格ID
+     * @param  SC_Helper_DB $objDb    SC_Helper_DBのインスタンス
+     * @return integer      削除件数
+     */
+    public function lfDeleteClass($class_id)
     {
         $objDb = new SC_Helper_DB_Ex();
@@ -237,8 +237,8 @@
      * エラーチェック
      *
-     * @param array $objFormParam フォームパラメータークラス
+     * @param  array $objFormParam フォームパラメータークラス
      * @return array エラー配列
      */
-    function lfCheckError(&$objFormParam)
+    public function lfCheckError(&$objFormParam)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -265,8 +265,8 @@
      * 新規規格追加かどうかを判定する.
      *
-     * @param string $arrForm フォームの入力値
+     * @param  string  $arrForm フォームの入力値
      * @return boolean 新規商品追加の場合 true
      */
-    function lfCheckInsert($arrForm)
+    public function lfCheckInsert($arrForm)
     {
         //class_id のあるなしで新規商品かどうかを判定
@@ -280,8 +280,8 @@
      * 並び順を上げる
      *
-     * @param integer $class_id 規格ID
-     * @return void
-     */
-    function lfUpRank($class_id)
+     * @param  integer $class_id 規格ID
+     * @return void
+     */
+    public function lfUpRank($class_id)
     {
         $objDb = new SC_Helper_DB_Ex();
@@ -291,8 +291,8 @@
      * 並び順を下げる
      *
-     * @param integer $class_id 規格ID
-     * @return void
-     */
-    function lfDownRank($class_id)
+     * @param  integer $class_id 規格ID
+     * @return void
+     */
+    public function lfDownRank($class_id)
     {
         $objDb = new SC_Helper_DB_Ex();
Index: /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php	(revision 22960)
+++ /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductClass.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -57,5 +57,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $this->action();
@@ -68,5 +68,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         // 商品マスターの検索条件パラメーターを初期化
@@ -159,8 +159,8 @@
      * パラメーター初期化
      *
-     * @param SC_FormParam $objFormParam SC_FormParam インスタンス
-     * @return void
-     */
-    function initParam(&$objFormParam)
+     * @param  SC_FormParam $objFormParam SC_FormParam インスタンス
+     * @return void
+     */
+    public function initParam(&$objFormParam)
     {
         // 商品マスター検索パラメーター引き継ぎ
@@ -211,8 +211,8 @@
      * 規格の登録または更新を行う.
      *
-     * @param array $arrList 入力フォームの内容
+     * @param array   $arrList    入力フォームの内容
      * @param integer $product_id 登録を行う商品ID
      */
-    function registerProductClass($arrList, $product_id, $total)
+    public function registerProductClass($arrList, $product_id, $total)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -301,5 +301,5 @@
      * @return array エラーの配列
      */
-    function lfCheckSelectClass()
+    public function lfCheckSelectClass()
     {
         $objErr = new SC_CheckError_Ex();
@@ -314,8 +314,8 @@
      * 商品規格エラーチェック.
      *
-     * @param SC_FormParam $objFormParam SC_FormParam インスタンス
-     * @return array エラー結果の配列
-     */
-    function lfCheckProductsClass(&$objFormParam)
+     * @param  SC_FormParam $objFormParam SC_FormParam インスタンス
+     * @return array        エラー結果の配列
+     */
+    public function lfCheckProductsClass(&$objFormParam)
     {
         $arrValues = $objFormParam->getHashArray();
@@ -350,6 +350,5 @@
                  * 消費税率の必須チェック
                  */
-                if (SC_Utils_Ex::isBlank($arrValues['tax_rate'][$i]))
-                {
+                if (SC_Utils_Ex::isBlank($arrValues['tax_rate'][$i])) {
                     $arrErr['tax_rate'][$i] = '※ 消費税率が入力されていません。<br />';
                 }
@@ -394,8 +393,8 @@
      * 該当商品の商品規格の内容を取得後, フォームに設定する.
      *
-     * @param SC_FormParam $objFormParam SC_FormParam インスタンス
-     * @return void
-     */
-    function doDisp(&$objFormParam)
+     * @param  SC_FormParam $objFormParam SC_FormParam インスタンス
+     * @return void
+     */
+    public function doDisp(&$objFormParam)
     {
         $product_id = $objFormParam->getValue('product_id');
@@ -431,8 +430,8 @@
      * 「表示する」ボタンをクリックされたときのパラメーター初期化処理
      *
-     * @param SC_FormParam $objFormParam SC_FormParam インスタンス
-     * @return void
-     */
-    function initDispParam(&$objFormParam)
+     * @param  SC_FormParam $objFormParam SC_FormParam インスタンス
+     * @return void
+     */
+    public function initDispParam(&$objFormParam)
     {
         // 登録チェックボックス初期化(全てチェックを外す)
@@ -449,9 +448,9 @@
      * 規格編集画面を表示する
      *
-     * @param integer $product_id 商品ID
-     * @param bool $existsValue
-     * @param bool $usepostValue
-     */
-    function doPreEdit(&$objFormParam)
+     * @param integer $product_id   商品ID
+     * @param bool    $existsValue
+     * @param bool    $usepostValue
+     */
+    public function doPreEdit(&$objFormParam)
     {
         $product_id = $objFormParam->getValue('product_id');
@@ -535,5 +534,5 @@
      * @return void
      */
-    function doDelete($product_id)
+    public function doDelete($product_id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -570,8 +569,8 @@
      * いないため, 独自のロジックを使用している.
      *
-     * @param SC_FormParam $objFormParam SC_FormParam インスタンス
-     * @return void
-     */
-    function doFileUpload(&$objFormParam)
+     * @param  SC_FormParam $objFormParam SC_FormParam インスタンス
+     * @return void
+     */
+    public function doFileUpload(&$objFormParam)
     {
         $index   = $objFormParam->getValue('upload_index');
@@ -580,5 +579,5 @@
         if ($_FILES['down_realfilename']['size'][$index] <= 0) {
             $this->arrErr['down_realfilename'][$index] = '※ ファイルがアップロードされていません';
-        } else if ($_FILES['down_realfilename']['size'][$index] > DOWN_SIZE *  1024) {
+        } elseif ($_FILES['down_realfilename']['size'][$index] > DOWN_SIZE *  1024) {
             $size = DOWN_SIZE;
             $byte = 'KB';
@@ -633,8 +632,8 @@
      * TODO 一時ファイルの削除
      *
-     * @param SC_FormParam $objFormParam SC_FormParam インスタンス
-     * @return void
-     */
-    function doFileDelete(&$objFormParam)
+     * @param  SC_FormParam $objFormParam SC_FormParam インスタンス
+     * @return void
+     */
+    public function doFileDelete(&$objFormParam)
     {
         $objImage = new SC_Image_Ex(DOWN_TEMP_REALDIR);
@@ -649,8 +648,8 @@
      * アップロードした一時ファイルを保存する.
      *
-     * @param SC_FormParam $objFormParam SC_FormParam インスタンス
-     * @return void
-     */
-    function doUploadComplete(&$objFormParam)
+     * @param  SC_FormParam $objFormParam SC_FormParam インスタンス
+     * @return void
+     */
+    public function doUploadComplete(&$objFormParam)
     {
         $objImage = new SC_Image_Ex(DOWN_TEMP_REALDIR);
@@ -666,9 +665,9 @@
      * 規格ID1, 規格ID2の規格分類全てを取得する.
      *
-     * @param integer $class_id1 規格ID1
-     * @param integer $class_id2 規格ID2
-     * @return array 規格と規格分類の配列
-     */
-    function getAllClassCategory($class_id1, $class_id2 = null)
+     * @param  integer $class_id1 規格ID1
+     * @param  integer $class_id2 規格ID2
+     * @return array   規格と規格分類の配列
+     */
+    public function getAllClassCategory($class_id1, $class_id2 = null)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -709,8 +708,8 @@
      *
      * @access private
-     * @param integer $product_id 商品ID
-     * @return string 商品名の文字列
-     */
-    function getProductName($product_id)
+     * @param  integer $product_id 商品ID
+     * @return string  商品名の文字列
+     */
+    public function getProductName($product_id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -725,5 +724,5 @@
      * @return array 規格分類の登録された, 全ての規格
      */
-    function getAllClass()
+    public function getAllClass()
     {
         $arrClass = SC_Helper_DB_Ex::sfGetIDValueList('dtb_class', 'class_id', 'name');
@@ -749,8 +748,8 @@
      * 商品IDをキーにし, デフォルトに設定されている商品規格を取得する.
      *
-     * @param integer $product_id 商品ID
-     * @return array 商品規格の配列
-     */
-    function getProductsClass($product_id)
+     * @param  integer $product_id 商品ID
+     * @return array   商品規格の配列
+     */
+    public function getProductsClass($product_id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -768,9 +767,9 @@
      * これを防ぐため, $_POST[$key] を直接操作し, 指定の長さで空白の配列を作成する
      *
-     * @param string $key $_POST のキー
-     * @param integer $size 作成する配列のサイズ
-     * @return void
-     */
-    function fillCheckboxesValue($key, $size)
+     * @param  string  $key  $_POST のキー
+     * @param  integer $size 作成する配列のサイズ
+     * @return void
+     */
+    public function fillCheckboxesValue($key, $size)
     {
         if (empty($_POST[$key])) {
Index: /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ReviewEdit.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ReviewEdit.php	(revision 22926)
+++ /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ReviewEdit.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -59,5 +59,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $this->action();
@@ -70,5 +70,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         // パラメーター情報の初期化
@@ -105,8 +105,8 @@
      * パラメーター情報の初期化を行う.
      *
-     * @param SC_FormParam $objFormParam SC_FormParam インスタンス
+     * @param  SC_FormParam $objFormParam SC_FormParam インスタンス
      * @return void
      */
-    function lfInitParam(&$objFormParam)
+    public function lfInitParam(&$objFormParam)
     {
         // 検索条件のパラメーターを初期化
@@ -129,8 +129,8 @@
      * レビュー情報のDB取得
      *
-     * @param integer $review_id レビューID
-     * @return array レビュー情報
+     * @param  integer $review_id レビューID
+     * @return array   レビュー情報
      */
-    function lfGetReviewData($review_id)
+    public function lfGetReviewData($review_id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -150,9 +150,9 @@
      * レビュー情報の更新
      *
-     * @param integer $review_id レビューID
-     * @param SC_FormParam $objFormParam SC_FormParam インスタンス
+     * @param  integer      $review_id    レビューID
+     * @param  SC_FormParam $objFormParam SC_FormParam インスタンス
      * @return void
      */
-    function lfRegistReviewData($review_id, &$objFormParam)
+    public function lfRegistReviewData($review_id, &$objFormParam)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
Index: /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductRank.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductRank.php	(revision 23066)
+++ /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductRank.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -53,5 +53,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $this->action();
@@ -64,5 +64,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         $objDb = new SC_Helper_DB_Ex();
@@ -106,5 +106,5 @@
 
     /* 商品読み込み */
-    function lfGetProduct($category_id)
+    public function lfGetProduct($category_id)
     {
         // FIXME SC_Product クラスを使用した実装
@@ -141,5 +141,5 @@
      * 商品の数値指定での並び替え実行
      */
-    function lfRenumber($parent_category_id)
+    public function lfRenumber($parent_category_id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -168,5 +168,5 @@
     }
 
-    function lfRankUp(&$objDb, $parent_category_id, $product_id)
+    public function lfRankUp(&$objDb, $parent_category_id, $product_id)
     {
         $where = 'category_id = ' . SC_Utils_Ex::sfQuoteSmart($parent_category_id);
@@ -174,5 +174,5 @@
     }
 
-    function lfRankDown(&$objDb, $parent_category_id, $product_id)
+    public function lfRankDown(&$objDb, $parent_category_id, $product_id)
     {
         $where = 'category_id = ' . SC_Utils_Ex::sfQuoteSmart($parent_category_id);
@@ -180,5 +180,5 @@
     }
 
-    function lfRankMove(&$objDb, $parent_category_id, $product_id)
+    public function lfRankMove(&$objDb, $parent_category_id, $product_id)
     {
         $key = 'pos-'.$product_id;
Index: /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php	(revision 23066)
+++ /branches/version-2_13-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php	(revision 23124)
@@ -38,5 +38,5 @@
      * @return void
      */
-    function init()
+    public function init()
     {
         parent::init();
@@ -54,5 +54,5 @@
      * @return void
      */
-    function process()
+    public function process()
     {
         $this->action();
@@ -65,5 +65,5 @@
      * @return void
      */
-    function action()
+    public function action()
     {
         $objDb      = new SC_Helper_DB_Ex();
@@ -135,5 +135,5 @@
                         // 自分のグループに加算
                         $this->lfUpRankChilds($objQuery, 'dtb_category', 'parent_category_id', 'category_id', $keys[0], $up_count);
-                    } else if ($rankAry[$keys[1]] < $rank) {
+                    } elseif ($rankAry[$keys[1]] < $rank) {
                         // データが今の位置より下がった時
                         $down_count = 0;
@@ -193,9 +193,9 @@
      * カテゴリの削除は、物理削除で行う.
      *
-     * @param SC_FormParam $objFormParam
-     * @param SC_Helper_Db $objDb
-     * @return void
-     */
-    function doDelete(&$objFormParam, &$objDb)
+     * @param  SC_FormParam $objFormParam
+     * @param  SC_Helper_Db $objDb
+     * @return void
+     */
+    public function doDelete(&$objFormParam, &$objDb)
     {
         $category_id = $objFormParam->getValue('category_id');
@@ -207,4 +207,5 @@
         if ($exists) {
             $this->arrErr['category_name'] = '※ 子カテゴリが存在するため削除できません。<br/>';
+
             return;
         }
@@ -215,4 +216,5 @@
         if ($exists) {
             $this->arrErr['category_name'] = '※ カテゴリ内に商品が存在するため削除できません。<br/>';
+
             return;
         }
@@ -225,8 +227,8 @@
      * 編集対象のカテゴリ名を, 入力ボックスへ表示する.
      *
-     * @param SC_FormParam $objFormParam
-     * @return void
-     */
-    function doPreEdit(&$objFormParam)
+     * @param  SC_FormParam $objFormParam
+     * @return void
+     */
+    public function doPreEdit(&$objFormParam)
     {
         $category_id = $objFormParam->getValue('category_id');
@@ -249,8 +251,8 @@
      * - カテゴリ名がすでに使用されている場合 (登録時のみ評価)
      *
-     * @param SC_FormParam $objFormParam
-     * @return void
-     */
-    function doEdit(&$objFormParam)
+     * @param  SC_FormParam $objFormParam
+     * @return void
+     */
+    public function doEdit(&$objFormParam)
     {
         $category_id = $objFormParam->getValue('category_id');
@@ -285,9 +287,9 @@
      * エラーチェック
      *
-     * @param SC_FormParam $objFormParam
-     * @param boolean $add 追加か
-     * @return void
-     */
-    function checkError(&$objFormParam, $add)
+     * @param  SC_FormParam $objFormParam
+     * @param  boolean      $add          追加か
+     * @return void
+     */
+    public function checkError(&$objFormParam, $add)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -310,4 +312,5 @@
             if ($count >= CATEGORY_MAX) {
                 $arrErr['category_name'] = '※ カテゴリの登録最大数を超えました。<br/>';
+
                 return $arrErr;
             }
@@ -316,4 +319,5 @@
             if ($this->isOverLevel($parent_category_id)) {
                 $arrErr['category_name'] = '※ ' . LEVEL_MAX . '階層以上の登録はできません。<br/>';
+
                 return $arrErr;
             }
@@ -333,4 +337,5 @@
         if ($exists) {
             $arrErr['category_name'] = '※ 既に同じ内容の登録が存在します。<br/>';
+
             return $arrErr;
         }
@@ -342,8 +347,8 @@
      * カテゴリの表示順序を上へ移動する.
      *
-     * @param SC_FormParam $objFormParam
-     * @return void
-     */
-    function doUp(&$objFormParam)
+     * @param  SC_FormParam $objFormParam
+     * @return void
+     */
+    public function doUp(&$objFormParam)
     {
         $category_id = $objFormParam->getValue('category_id');
@@ -370,8 +375,8 @@
      * カテゴリの表示順序を下へ移動する.
      *
-     * @param SC_FormParam $objFormParam
-     * @return void
-     */
-    function doDown(&$objFormParam)
+     * @param  SC_FormParam $objFormParam
+     * @return void
+     */
+    public function doDown(&$objFormParam)
     {
         $category_id = $objFormParam->getValue('category_id');
@@ -398,8 +403,8 @@
      * パラメーターの初期化を行う
      *
-     * @param SC_FormParam $objFormParam
-     * @return void
-     */
-    function initParam(&$objFormParam)
+     * @param  SC_FormParam $objFormParam
+     * @return void
+     */
+    public function initParam(&$objFormParam)
     {
         $objFormParam->addParam('親カテゴリID', 'parent_category_id', null, null, array());
@@ -414,9 +419,9 @@
      * - 有効なカテゴリを返す(del_flag = 0)
      *
-     * @param SC_Query $objQuery
-     * @param int $parent_category_id 親カテゴリID
-     * @return array カテゴリの配列
-     */
-    function findCategoiesByParentCategoryId($parent_category_id)
+     * @param  SC_Query $objQuery
+     * @param  int      $parent_category_id 親カテゴリID
+     * @return array    カテゴリの配列
+     */
+    public function findCategoiesByParentCategoryId($parent_category_id)
     {
         if (!$parent_category_id) {
@@ -434,8 +439,8 @@
      * カテゴリを更新する
      *
-     * @param SC_FormParam $objFormParam SC_FormParam インスタンス
-     * @return void
-     */
-    function updateCategory($category_id, $arrCategory)
+     * @param  SC_FormParam $objFormParam SC_FormParam インスタンス
+     * @return void
+     */
+    public function updateCategory($category_id, $arrCategory)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -452,8 +457,8 @@
      * カテゴリを登録する
      *
-     * @param SC_FormParam $objFormParam SC_FormParam インスタンス
-     * @return void
-     */
-    function registerCategory($arrCategory)
+     * @param  SC_FormParam $objFormParam SC_FormParam インスタンス
+     * @return void
+     */
+    public function registerCategory($arrCategory)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -502,5 +507,5 @@
      * @param 超えている場合 true
      */
-    function isOverLevel($parent_category_id)
+    public function isOverLevel($parent_category_id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -511,5 +516,5 @@
 
     // 並びが1つ下のIDを取得する。
-    function lfGetDownRankID($objQuery, $table, $pid_name, $id_name, $id)
+    public function lfGetDownRankID($objQuery, $table, $pid_name, $id_name, $id)
     {
         // 親IDを取得する。
@@ -534,5 +539,5 @@
 
     // 並びが1つ上のIDを取得する。
-    function lfGetUpRankID($objQuery, $table, $pid_name, $id_name, $id)
+    public function lfGetUpRankID($objQuery, $table, $pid_name, $id_name, $id)
     {
         // 親IDを取得する。
@@ -556,5 +561,5 @@
     }
 
-    function lfCountChilds($objQuery, $table, $pid_name, $id_name, $id)
+    public function lfCountChilds($objQuery, $table, $pid_name, $id_name, $id)
     {
         $objDb = new SC_Helper_DB_Ex();
@@ -565,5 +570,5 @@
     }
 
-    function lfUpRankChilds($objQuery, $table, $pid_name, $id_name, $id, $count)
+    public function lfUpRankChilds($objQuery, $table, $pid_name, $id_name, $id, $count)
     {
         $objDb = new SC_Helper_DB_Ex();
@@ -579,5 +584,5 @@
     }
 
-    function lfDownRankChilds($objQuery, $table, $pid_name, $id_name, $id, $count)
+    public function lfDownRankChilds($objQuery, $table, $pid_name, $id_name, $id, $count)
     {
         $objDb = new SC_Helper_DB_Ex();
